summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.drone.yml12
-rwxr-xr-xautotest.sh4
2 files changed, 15 insertions, 1 deletions
diff --git a/.drone.yml b/.drone.yml
index 9fde7b6ce5b..4d0a0aba2a8 100644
--- a/.drone.yml
+++ b/.drone.yml
@@ -17,7 +17,19 @@ build:
- git submodule update --init
- ./occ maintenance:install --database-name oc_autotest --database-user oc_autotest --admin-user admin --admin-pass admin --database sqlite --database-pass=''
- ./autotest.sh sqlite
+ postgres:
+ image: morrisjobke/nextcloud-ci-php7:1.0
+ commands:
+ - sleep 10 # gives the database enough time to initialize
+ - rm -rf data/* config/config.php # TODO: remove this - temporary fix for CI issues
+ - git submodule update --init
+ - ./autotest.sh pgsql
compose:
cache:
image: redis
+ postgres:
+ image: postgres
+ environment:
+ - POSTGRES_USER=oc_autotest
+ - POSTGRES_PASSWORD=oc_autotest
diff --git a/autotest.sh b/autotest.sh
index 57d65e692d4..4dda2be43e5 100755
--- a/autotest.sh
+++ b/autotest.sh
@@ -253,7 +253,9 @@ function execute_tests {
echo "Postgres is up."
else
- dropdb -U "$DATABASEUSER" "$DATABASENAME" || true
+ if [ -z "$DRONE" ] ; then # no need to drop the DB when we are on CI
+ dropdb -U "$DATABASEUSER" "$DATABASENAME" || true
+ fi
fi
fi
if [ "$DB" == "oci" ] ; then